<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Movimenti;

class MovimentiController extends Controller
{
    public function insMovimentiSpesa(Request $request)
    {
        Movimenti::insSpesa($request);
        return response()->json(['message' => 'Spesa inserita con successo'], 201);
    }

    public function insMovimentiEntrata(Request $request)
    {
        Movimenti::insEntrata($request);
        return response()->json(['message' => 'Entrata inserita con successo'], 201);
    }

    public function getList()
    {
        $movimenti = Movimenti::getList();
        return response()->json($movimenti);
    }
}
